<script lang="ts">
	import '$lib/styles/app.css';
	import { browser } from '$app/environment';
	import MoneyRain from '$lib/components/MoneyRain/MoneyRain.svelte';

	let isAnimated = false;
	let showMoneyRain = false;

	function showCoinRain() {
		isAnimated = !isAnimated;
		showMoneyRain = !showMoneyRain;
		setTimeout(() => {
			isAnimated = !isAnimated;
			setTimeout(() => {
				showMoneyRain = !showMoneyRain;
			}, 5000);
		}, 10000);
	}
</script>

{#if browser && showMoneyRain}
	<MoneyRain {isAnimated} />
{/if}

<button
	class="tw-mx-auto tw-cursor-pointer tw-fixed tw-left-1/2 -tw-translate-x-1/2 tw-bottom-2"
	on:click={showCoinRain}>Get Money</button
>
